## org.firebirdsql.gds.impl.jni
Class EventHandleImp

    java.lang.Object
      org.firebirdsql.gds.impl.jni.EventHandleImp

All Implemented Interfaces:
  EventHandle

    public class EventHandleImp

extends Object
implements EventHandle

Constructor Summary
`EventHandleImp(String eventName)`

Method Summary
`void` `cancel()`
`int` `getEventCount()` Get the count of event occurences for the most recent occurrence(s) of the event for which this handle is registered.
`int` `getEventId()` Get the internal event id number for this handle
`String` `getEventName()` Get the name of the event for which this handle is set to listen for
`int` `getEventStructHandle()`
`int` `getInputBufferHandle()`
`int` `getOutputBufferHandle()`
`int` `getSize()`
`boolean` `isCancelled()`
`boolean` `isValid()`
`void` `setEventCount(int eventCount)`
`void` `setEventId(int eventId)`
`void` `setEventStructHandle(int handle)`
`void` `setInputBufferHandle(int handle)`
`void` `setOutputBufferHandle(int handle)`
`void` `setSize(int size)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventHandleImp

    public EventHandleImp(String eventName)

Method Detail

### getEventName

    public String getEventName()

  Description copied from interface: `EventHandle`
  Get the name of the event for which this handle is set to listen for

  Specified by:
    `getEventName` in interface `EventHandle`
  Returns:
    The name of the event

### setSize

    public void setSize(int size)

### getSize

    public int getSize()

### isValid

    public boolean isValid()

### setInputBufferHandle

    public void setInputBufferHandle(int handle)

### setOutputBufferHandle

    public void setOutputBufferHandle(int handle)

### getInputBufferHandle

    public int getInputBufferHandle()

### getOutputBufferHandle

    public int getOutputBufferHandle()

### setEventCount

    public void setEventCount(int eventCount)

### getEventCount

    public int getEventCount()

  Description copied from interface: `EventHandle`
  Get the count of event occurences for the most recent occurrence(s) of the event for which this handle is registered.

  Specified by:
    `getEventCount` in interface `EventHandle`
  Returns:
    The event count

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setEventId

    public void setEventId(int eventId)

### getEventId

    public int getEventId()

  Description copied from interface: `EventHandle`
  Get the internal event id number for this handle

  Specified by:
    `getEventId` in interface `EventHandle`
  Returns:
    The internal event id

### cancel

    public void cancel()

### isCancelled

    public boolean isCancelled()

### setEventStructHandle

    public void setEventStructHandle(int handle)

### getEventStructHandle

    public int getEventStructHandle()

Copyright © 2001-2010. All Rights Reserved.